import java.awt.*;
/**
 * Excepcion propia que sera lanzada cuando existan problemas en la validacion de ingreso
 * de datos de tipo entero en componentes AWT de tipo TextComponent (TextField y TextArea)
 * 
 * @author G. Cherencio
 * @version 1.0
 */
public class NotAnIntegerException extends Exception
{
	// instance variables - replace the example below with your own
	private final String errormsg;

	/**
	 * Constructor for objects of class NotAnIntegerException
	 */
	public NotAnIntegerException()
	{
		// initialise instance variables
		super();
		errormsg = "El valor que Ud. ingreso no es un numero entero";
	}

	public NotAnIntegerException(String msg)
	{
		// initialise instance variables
		super(msg);
		errormsg = msg;
	}
	
	public NotAnIntegerException(TextComponent comp)
	{
		// initialise instance variables
		errormsg = "El valor ingresado: " + comp.getText() + " no es un numero entero";
	}
	public NotAnIntegerException(TextComponent comp,int desde,int hasta)
	{
		// initialise instance variables
		errormsg = "El valor ingresado: " + comp.getText() + " no es un numero entero entre " + desde + " y " + hasta;
	}
	public String getMessage() {
	    return errormsg;
	}
}
