
import java.awt.*;
/**
 * Clase con metodos static, no se espera crear objetos de esta clase, se utiliza a modo de libreria
 * en combinacion con excepciones creadas por el usuario para realizar validaciones sobre objetos
 * AWT de tipo TextComponent (TextField y TextArea)
 * Favor de observar el efecto provocado por los bloques finally cuando estamos re-lanzando excepciones
 * desde un bloque catch
 * 
 * @author G. Cherencio
 * @version 1.0
 */
public class Valido
{
    public static int isInteger(TextComponent txt) throws NotAnIntegerException, MyNotAnIntegerException {
        String valor = txt.getText();
        int intvalor = -1;
        try {
            intvalor = Integer.parseInt(valor);
        } catch(NumberFormatException nfe) {
            if ( txt.getName().startsWith("my")) {
                System.out.println("Valido: entre x NumberFormatException y lanzo MyNotAnIntegerException");
                throw new MyNotAnIntegerException(txt);
            } else {
                System.out.println("Valido: entre x NumberFormatException y lanzo NotAnIntegerException");
                throw new NotAnIntegerException(txt);
            }
        } 
/* Jugar un poquito con esto!!        
        finally {
            System.out.println("Valido: ejecuto finally con return " + intvalor);
            return intvalor;
        }
*/        
        return intvalor;
    }
    public static int isInteger(TextComponent txt,int desde,int hasta) throws NotAnIntegerException, MyNotAnIntegerException {
        int intvalor = -1;
        try {
            intvalor = isInteger(txt);
            if ( !(intvalor >= desde && intvalor <= hasta) ) {
                if ( txt.getName().startsWith("my") ) throw new MyNotAnIntegerException(txt,desde,hasta);
                else                                  throw new NotAnIntegerException(txt,desde,hasta);
            }
        } catch(NotAnIntegerException nai) {
            System.out.println("Valido.isInteger(TxtComponent,int,int) NotAnIntegerException");
            throw nai;
        } catch(MyNotAnIntegerException mynai) {
            System.out.println("Valido.isInteger(TxtComponent,int,int) MyNotAnIntegerException");
            throw mynai;
        }
/* Jugar un poquito con esto!!       
        finally {
            return intvalor;
        }
*/        
        return intvalor;
    }
}
